//hello-world.js

// ---------------------------------------------------------------------
// Entry Point

//"buildController" must be implemented in controller subclass file
/** when document is ready (opened) we'll do some initization
 */
document.onreadystatechange = function () {
    if (document.readyState === 'complete')
        hookUpEvents();
}

// ---------------------------------------------------------------------
// Initialization

//Hook events up to handler functions
function hookUpEvents() {
    //event name, handler name
    getElem('helloWorldButton').addEventListener('click', clickedHelloWorld, false);
    getElem('helloUniverseButton').addEventListener('click', clickedHelloUniverse, false);
    getElem('clearButton').addEventListener('click', clickedClear, false);
    getElem('hilightButton').addEventListener('click', clickedHilight, false);
}

// ---------------------------------------------------------------------
// Event Handlers

function clickedHelloWorld() {
    getElem('helloWorldField').value = 'Hello World! I hope you are fine?';
}

function clickedHelloUniverse() {
    getElem('helloUniverseField').value = 'Hello Universe! You are big!';
}

function clickedClear() {
    getElem('helloWorldField').value = '';
    getElem('helloUniverseField').value = '';
    getElem('helloWorldField').classList.remove('hilight')
    getElem('helloUniverseField').classList.remove('hilight')
}

function clickedHilight() {
    getElem('helloWorldField').classList.add('hilight')
    getElem('helloUniverseField').classList.add('hilight')
}

// ---------------------------------------------------------------------
// Helpers

/** Returns element named <nm> */
function getElem(nm) {
    //Return field named 'nm'
    return document.getElementById(nm);
}